Alokai

SapccApiGetComponentsByIdsAndUserRequest

Request parameters for getComponentsByIdsAndUser operation in SapccApi. SapccApiGetComponentsByIdsAndUserRequest

interface SapccApiGetComponentsByIdsAndUserRequest {
	readonly baseSiteId: string;
	readonly catalogCode?: string;
	readonly categoryCode?: string;
	readonly componentIds?: Array<string>;
	readonly currentPage?: number;
	readonly fields?: GetComponentsByIdsAndUserFieldsEnum;
	readonly pageSize?: number;
	readonly productCode?: string;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetComponentsByIdsAndUser
catalogCodeOptionalstringCatalog code {string} SapccApiGetComponentsByIdsAndUser
categoryCodeOptionalstringCategory code {string} SapccApiGetComponentsByIdsAndUser
componentIdsOptionalArray<string>List of Component identifiers {Array<string>} SapccApiGetComponentsByIdsAndUser
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetComponentsByIdsAndUser
fieldsOptionalGetComponentsByIdsAndUserFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC, DEFAULT, FULL. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiGetComponentsByIdsAndUser
pageSizeOptionalnumberNumber of results returned per page. Default value: 10. {number} SapccApiGetComponentsByIdsAndUser
productCodeOptionalstringProduct code {string} SapccApiGetComponentsByIdsAndUser
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetComponentsByIdsAndUser
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetComponentsByIdsAndUser

Referenced Types

On this page